Jump to content

4.x support?


Guest KorhalDragonir
 Share

Recommended Posts

First of all my apologies if this thread is off topic. I could not find were exactly to place this.

I was wondering, when will support for the 4.x (Cataclysm) client be supported? Of course I mean in the master since I believe to have seen a 400 branch which I think is for the development for this client.

This question is not to rush anyone, just out of curiosity. About when approximately we can expect this kind of support, so that I can already start downloading patches and all so I have the client all ready by that time.

I would like to thank you all for creating this great piece of software :-D. At times like these I regret not having the time to learn C++ yet. Perhaps later on ;-).

Link to comment
Share on other sites

So am I, but could someone please tell me why there is a client-mod necessary?
Simple, replace the RSA public certificate in client by a one for which we have the private part.

Raison: The redirect packet (sent by realm containing the world server address) is RSA signed and the client does not accept the packet if the signing is not done with Offy private certificate.

Last words: RSA is not breakable at this point of time.

Link to comment
Share on other sites

 Share

×
×
  • Create New...

Important Information

We have placed cookies on your device to help make this website better. You can adjust your cookie settings, otherwise we'll assume you're okay to continue. Privacy Policy Terms of Use